Main Page Modules Class Hierarchy Alphabetical List Compound List File List Compound Members

# SoTrackballManip Class Reference
[Manipulators]

The SoTrackballManip wraps an SoTrackballDragger for convenience. More...

`#include <Inventor/manips/SoTrackballManip.h>`

Inheritance diagram for SoTrackballManip:

List of all members.

## Public Methods
| SoTrackballManip (void)
## Static Public Methods
void | initClass (void)
## Protected Methods
| ~SoTrackballManip ()

## Detailed Description

The SoTrackballManip wraps an SoTrackballDragger for convenience.

The manipulator class takes care of wrapping up the SoTrackballDragger in a simple and convenient API for the application programmer, making it automatically surround the geometry it influences and taking care of the book-keeping routines for it's interaction with the relevant fields of an SoTransformation node.

Here's a dead simple, stand-alone example on how to set up an SoTrackballManip in a scenegraph:

      #include <Inventor/Qt/SoQt.h>
      #include <Inventor/Qt/viewers/SoQtExaminerViewer.h>
      #include <Inventor/nodes/SoCone.h>
      #include <Inventor/nodes/SoSeparator.h>
      #include <Inventor/manips/SoTrackballManip.h>

      int
      main(int argc, char* argv[])
      {
        QWidget * mainwin = SoQt::init(argv[0]);

        SoSeparator * root = new SoSeparator;
        root->ref();

        SoTrackballManip * manip = new SoTrackballManip;
        root->addChild(manip);

        root->addChild(new SoCone);

        SoQtExaminerViewer * viewer = new SoQtExaminerViewer(mainwin);
        viewer->setSceneGraph(root);

        SoQt::show(mainwin);
        SoQt::mainLoop();

        root->unref();

        return 0;
      }

Compile and hit 'ESC' to go into scenegraph interaction mode in the examinerviewer, then change the rotation of the cone by interacting with the dragger bands.

## Constructor & Destructor Documentation

SoTrackballManip::SoTrackballManip | ( | void |  | ) |

| Default constructor. Allocates an SoTrackballDragger and an SoSurroundScale node to surround the geometry within our part of the scenegraph.

SoTrackballManip::~SoTrackballManip | ( |  | ) | `[protected]`

| Destructor.

## Member Function Documentation

void SoTrackballManip::initClass | ( | void |  | ) | `[static]`

| Sets up initialization for data common to all instances of this class, like submitting necessary information to the Coin type system. Reimplemented from SoTransformManip.

The documentation for this class was generated from the following files:

- SoTrackballManip.h
- SoTrackballManip.cpp